const PATH = "files/Test.txt"

var number = 0

// Left click on the browser action
function browserActionOnClicked(tab, onClickData) {
	number = number + 1
	
	browser.downloads.download({
		conflictAction: "overwrite",
		filename: "Test_" + number + ".txt",
		saveAs: false,
		url: browser.runtime.getURL(PATH)
	})
	.catch(e => { console.log(e) })
}

async function downloadsOnChanged(downloadDelta) {
	try {
		if (downloadDelta.state && (downloadDelta.state.current == "complete")) {
			let downloadItems = await browser.downloads.search({id: downloadDelta.id})
			if ((downloadItems[0].byExtensionId == browser.runtime.id) && (downloadItems[0].url == browser.runtime.getURL(PATH))) {
				await browser.downloads.removeFile(downloadItems[0].id)
				await browser.downloads.erase({id: downloadItems[0].id})
			}
		}
	}
	catch(e) {
		console.log("Caught", e)
	}
}

browser.browserAction.onClicked.addListener(browserActionOnClicked)
browser.downloads.onChanged.addListener(downloadsOnChanged)
